<?php

declare(strict_types=1);

namespace App\Controller\Solicitud;

use App\Service\SolicitudService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getSolicitudService(): SolicitudService
    {
        return $this->container->get('Solicitud_service');
    }
}
